package gov.va.med.esr.model;

import gov.va.med.fw.model.AbstractKeyedEntity;

import java.util.Date;

public class ServiceLog extends AbstractKeyedEntity {


	private static final long serialVersionUID = -3418512610323486900L;
	private String request;
	private long responseTime;
	private Date requestDate;
	private String errorText;
	private ServiceUser user;
	
	public String getErrorText() {
		return errorText;
	}
	public void setErrorText(String errorText) {
		this.errorText = errorText;
	}
	public String getRequest() {
		return request;
	}
	public void setRequest(String request) {
		this.request = request;
	}
	public Date getRequestDate() {
		return requestDate;
	}
	public void setRequestDate(Date requestDate) {
		this.requestDate = requestDate;
	}
	public long getResponseTime() {
		return responseTime;
	}
	public void setResponseTime(long responseTime) {
		this.responseTime = responseTime;
	}
	public ServiceUser getUser() {
		return user;
	}
	public void setUser(ServiceUser user) {
		this.user = user;
	}
}
